
/* RJPointer.cpp */

#include "RJPointer.h"

//  Registers fields, signals and methods for Godot
void RJPointer::_bind_methods() 
{
  // caster: RJCaster*
  ClassDB::bind_method( D_METHOD( "set_caster", "caster" ), &RJPointer::set_caster );
  ClassDB::bind_method( D_METHOD( "get_caster"), &RJPointer::get_caster);
  ADD_PROPERTY( PropertyInfo(Variant::OBJECT, "caster", PROPERTY_HINT_NODE_TYPE ), "set_caster", "get_caster" );
   
  GDVIRTUAL_BIND( getPointable, "index" );
}

//  Constructor
RJPointer::RJPointer() 
{
  
}

// Destructor
RJPointer::~RJPointer()
{
  
}

// caster: RJCaster*
RJCaster* RJPointer::get_caster() const { return caster; }
void RJPointer::set_caster( RJCaster* p_caster ) { caster = p_caster; }
 


