
/* RJVirtualCamera3D.h */

#ifndef ROKOJORI__VIRTUAL_CAMERA_3_D_H
#define ROKOJORI__VIRTUAL_CAMERA_3_D_H

#include "./RJGodotHeaders.h"
#include "scene/3d/node_3d.h"




class RJVirtualCamera3D : public Node3D 
{
  GDCLASS( RJVirtualCamera3D, Node3D );

protected:
  static void _bind_methods();
  

  

public:

  
  //  getCameraPosition() : Vector3
  GDVIRTUAL0R( Vector3, getCameraPosition );
  
  //  getCameraRotation() : Quaternion
  GDVIRTUAL0R( Quaternion, getCameraRotation );
  
  //  getCameraFOV() : float
  GDVIRTUAL0R( float, getCameraFOV );

  //  Constructor
  RJVirtualCamera3D();

  //  Destructor
  ~RJVirtualCamera3D();
};


#endif // ROKOJORI__VIRTUAL_CAMERA_3_D_H
